CEL: Crystal Entity Layer: iCelGame Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelGame Struct Reference

A networked game. More...

`#include <physicallayer/network.h>`

List of all members.

## Public Member Functions
virtual iCelGameClient * | GetGameClient () const =0
| Return the local client if available, 0 otherwise.
virtual celGameInfo * | GetGameInfo ()=0
| Return the general info of the game.
virtual iCelGameServer * | GetGameServer () const =0
| Return the local server if available, 0 otherwise.
virtual celNetworkGameType | GetGameType () const =0
| Return the type of the game.
virtual bool | IsClientAvailable () const =0
| Return true if a local client is available in this process, false otherwise.
virtual bool | IsServerAvailable () const =0
| Return true if a local server is available in this process, false otherwise.

## Detailed Description

A networked game.

It maintains the main data of a game: game type, game info and pointers to the local client and server.

Definition at line 52 of file network.h.

## Member Function Documentation

virtual iCelGameClient* iCelGame::GetGameClient | ( |  | ) | const`[pure virtual]`

Return the local client if available, 0 otherwise.

virtual celGameInfo* iCelGame::GetGameInfo | ( |  | ) | `[pure virtual]`

Return the general info of the game.

virtual iCelGameServer* iCelGame::GetGameServer | ( |  | ) | const`[pure virtual]`

Return the local server if available, 0 otherwise.

virtual celNetworkGameType iCelGame::GetGameType | ( |  | ) | const`[pure virtual]`

Return the type of the game.

virtual bool iCelGame::IsClientAvailable | ( |  | ) | const`[pure virtual]`

Return true if a local client is available in this process, false otherwise.

virtual bool iCelGame::IsServerAvailable | ( |  | ) | const`[pure virtual]`

Return true if a local server is available in this process, false otherwise.

The documentation for this struct was generated from the following file:

- physicallayer/network.h